%define name        mx4j
%define version     3.0.1
%define release     1.2mdk
%define section     free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Summary:        Open source implementation of JMX Java API
License:        Apache License
Group:          Development/Java
#Vendor:     	JPackage Project
#Distribution:   JPackage
Source0:        %{name}-%{version}-src.tar.bz2
Source1:        %{name}-build.policy
Source2:        CatalogManager.properties
Patch0:         mx4j-javaxssl.patch.bz2
Patch2:         mx4j-build.patch.bz2
Patch3:         mx4j-docbook.patch.bz2
#Patch4:         mx4j-docbook-style.patch.bz2
Patch5:         mx4j-caucho-build.patch.bz2
Patch6:         mx4j-build-free.patch.bz2
Url:            http://mx4j.sourceforge.net/
BuildRequires:  jpackage-utils > 0:1.5
BuildRequires:  ant >= 0:1.6
#BuildRequires:  ant-trax
#BuildRequires:  burlap
#BuildRequires:  hessian
BuildRequires:	jaf
BuildRequires:	javamail >= 1.2-5jpp
#BuildRequires:	jetty4
#BuildRequires:	jython >= 2.1
BuildRequires:	log4j >= 1.2.7
BuildRequires:	jakarta-commons-logging >= 1.0.1
BuildRequires:  xml-commons-apis
BuildRequires:  bcel >= 5.0
BuildRequires:	jsse >= 1.0.2-6jpp
BuildRequires:	jce >= 1.2.2
#BuildRequires:	jmx >= 1.2
#BuildRequires:	jmxremote >= 1.0
BuildRequires:	junit >= 3.7.1
BuildRequires:  coreutils
#BuildRequires:  xjavadoc
#BuildRequires:  xdoclet
#BuildRequires:  axis >= 1.1
#BuildRequires:  docbook-dtds >= 1.0
#BuildRequires:  docbook-style-xsl >= 1.61
BuildRequires:  xml-commons-resolver
BuildRequires:  xml-commons
#BuildRequires:  xmlunit
Buildarch:      noarch
Requires:       /usr/sbin/update-alternatives
Requires:	jaf
Requires:	javamail >= 1.2-5jpp
Requires:	log4j >= 1.2.7
Requires:	jakarta-commons-logging >= 1.0.1
Requires:  	xml-commons-apis
Requires:  	bcel >= 5.0
Requires:	jsse >= 1.0.2-6jpp
Requires:	jce >= 1.2.2
#Requires:  	axis >= 1.1
Requires:  	xml-commons-resolver
Requires:  	xml-commons
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:      openjmx
Provides:	jmxri

%description
OpenJMX is an open source implementation of the
Java(TM) Management Extensions (JMX).

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Obsoletes:      openjmx-javadoc

%description javadoc
Javadoc for %{name}.

%if 0
%package manual
Group:          Development/Java
Summary:        Documentation for %{name}

%description    manual
Documentation for %{name}.
%endif

%prep
%setup -q

%patch0 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1
%patch5 -p1
%patch6 -p1

cp %{SOURCE1} build
cp %{SOURCE2} build
#cp %{_sourcedir}/CatalogManager.properties %{_builddir}/%{name}-%{version}/build/

pushd lib
   ln -sf $(build-classpath junit) .
#   ln -sf $(build-classpath xmlunit) .
   ln -sf $(build-classpath xml-commons-apis) xml-apis.jar
#   ln -sf $(build-classpath xerces-j2) xercesImpl.jar
#   ln -sf $(build-classpath xalan-j2) xalan.jar
   ln -sf $(build-classpath commons-logging) .
   ln -sf $(build-classpath log4j) .
   ln -sf $(build-classpath bcel) .
#   ln -sf $(build-classpath burlap) .
#   ln -sf $(build-classpath hessian) .
#   ln -sf $(build-classpath axis/axis) .
#   ln -sf $(build-classpath axis/jaxrpc) .
#   ln -sf $(build-classpath axis/saaj) .
#   ln -sf $(build-classpath wsdl4j) .
##   ln -sf $(build-classpath commons-discovery) .
#   ln -sf $(build-classpath jetty4) org.mortbay.jetty.jar
   ln -sf $(build-classpath servletapi5) servlet.jar
#   ln -sf $(build-classpath jython) .
   ln -sf $(build-classpath jsse) .
   ln -sf $(build-classpath jsse/jcert) .
   ln -sf $(build-classpath jsse/jnet) .
#   ln -sf $(build-classpath jaas) .
#   ln -sf $(build-classpath jmxri) .
#   ln -sf $(build-classpath jmxremoteri) jmxremote.jar
#   ln -sf $(build-classpath jmxremoteri-optional) jmxremote_optional.jar
popd

%build
export ANT_OPTS="-Djava.security.manager -Djava.security.policy=$(pwd)/build/mx4j-build.policy"
#export OPT_JAR_LIST="ant/ant-junit junit xmlunit ant/ant-trax jaxp_transform_impl"
export OPT_JAR_LIST="ant/ant-junit junit jaxp_transform_impl"
#export CLASSPATH=$(build-classpath activation javamail/mailapi javamail/smtp \
#   jetty4 jython jakarta-commons-logging xml-commons-apis bcel jsse jaas jce \
#   log4j jaxp_transform_impl axis/axis axis/jaxrpc axis/saaj \
#   xml-commons-resolver xdoclet/xdoclet xdoclet/xdoclet-jmx-module \
#   xdoclet/xdoclet-mx4j-module)
export CLASSPATH=$(build-classpath activation javamail/mailapi javamail/smtp \
   jakarta-commons-logging xml-commons-apis bcel jsse jce \
   log4j jaxp_transform_impl \
   xml-commons-resolver \
)

export CLASSPATH=${CLASSPATH}:%{_builddir}/%{name}-%{version}/classes/core:%{_builddir}/%{name}-%{version}/build

cd build
#ant compile.jmx compile.rjmx compile.tools javadocs docs
#ant -Dbuild.sysclasspath=first tests-report javadocs docs
%ant -Dbuild.sysclasspath=first compile.jmx javadocs

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 dist/lib/%{name}-impl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-impl-%{version}.jar
install -m 644 dist/lib/%{name}-jmx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jmx-%{version}.jar
install -m 644 dist/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-%{version}.jar
install -m 644 dist/lib/%{name}-tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-tools-%{version}.jar
#install -m 644 dist/lib/%{name}-rjmx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-rjmx-%{version}.jar
#install -m 644 dist/lib/%{name}-rimpl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-rimpl-%{version}.jar
#install -m 644 dist/lib/%{name}-remote.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-remote-%{version}.jar
#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/boa
#install -m 644 dist/lib/boa/%{name}-rjmx-boa.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/boa/%{name}-rjmx-boa-%{version}.jar
#install -m 644 dist/lib/boa/%{name}-rimpl-boa.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/boa/%{name}-rimpl-boa-%{version}.jar
#install -m 644 dist/lib/boa/%{name}-remote-boa.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/boa/%{name}-remote-boa-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}/%{name}
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -f %{_javadir}/%{name}.jar

%post
/usr/sbin/update-alternatives --install %{_javadir}/jmxri.jar jmxri %{_javadir}/%{name}/%{name}-jmx.jar 0

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/update-alternatives --remove jmxri %{_javadir}/%{name}/%{name}-jmx.jar
fi


%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
#%{_javadir}/%{name}/boa/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%if 0
%files manual
%defattr(0644,root,root,0755)
%doc dist/docs/*
%endif

%changelog
* Fri May 20 2005 David Walluck <walluck@mandriva.org> 0:3.0.1-1.2mdk
- remove axis requirement

* Fri May 20 2005 David Walluck <walluck@mandriva.org> 0:3.0.1-1.1mdk
- release

* Fri Apr 22 2005 Fernando Nasser <fnasser@redhat.com> 0:3.0.1-1jpp
- Upgrade to 3.0.1

* Wed Apr 20 2005 Fernando Nasser <fnasser@redhat.com> 0:2.1.0-1jpp
- Upgrade to 2.1.0
- Do not build caucho part because of version incompatibilities
  From Andrew Overholt <overholt@redhat.com>
- add coreutils BuildRequires

* Tue Mar 08 2005 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-3jpp
- Drop spurious Requires: junit

* Fri Sep 24 2004 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-2jpp
- Require xml-commons (jpackage), not xml-common (linux)
- Activate jython- and jetty-related classes
- Activate unit tests, therefore BuildReq xmlunit
- Include compliance test, therefore BuildReq jmx, jmxremote
- Define essential runtime requires
- Use security manager and relaxed policy

* Fri Jun 25 2004 Aizaz Ahmed <aahmed@redhat.com> 1:2.0.1-1jpp
- Updated to use mx4j-2.0.1
- Rebuilt with Ant 1.6.2

* Mon Mar 24 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.1.1-4jpp
- jmxri alternative

* Mon Mar 24 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.1.1-3jpp
- use own dir
- For jpackage-utils 1.5

* Thu Feb 20 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.1.1-1jpp
- mx4j 1.1.1
- grabed from CVS TAG MX4J_1_1_1

* Wed Sep 18 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.1-3jpp
- added missing xsl/jython resources in mx4j-tools.jar
- correct the build.xml to have correct contents for mx4.jar and mx4j-tools.jar

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-2jpp
- bzipped additional sources
- section macro
- ant already requires jaxp_parser
- fixed source perms
- fixed compilation with jsse and javamail
- buildrequires jsse >= 1.0.2-6jpp
- buildrequires javamail >= 1.2-5jpp

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.1-1jpp
- mx4j 1.1 
- set correct jpackage tags
- add provide jmxri

* Mon Mar 04 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0b3-1jpp
- mx4j 1.0b3 (previous name was openjmx)

* Fri Jan 18 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0b1-1jpp
- first JPackage release


